%TWOLINK Load kinematic and dynamic data for a simple 2-link mechanism
%
%	TWOLINK
%
% Defines the object 'tl' in the current workspace which describes the 
% kinematic and dynamic characterstics of a simple planar 2-link mechanism.
%
% Assume unit length links with all mass (unity) concentrated at the joints.
%
% Also define the vector qz = [0 0] which corresponds to the zero joint
% angle configuration.
%
% See also: DH, DYN, PUMA560, PUMA560AKB, STANFORD.

% $Log: twolink.m,v $
% Revision 1.2  2002/04/01 11:47:20  pic
% General cleanup of code: help comments, see also, copyright, remnant dh/dyn
% references, clarification of functions.
%
% $Revision: 1.2 $
% Copyright (C) 2000-2002, by Peter I. Corke

twolink_dh = [
% theta	D A alpha  	sigma	m	   rx	   ry	   rz	   Ixx       Iyy	   Izz	     Ixy	 Iyz	 Ixz	   Jm	    G      B    Tc+      Tc-
  0     0 0   pi/2    0     0       0       0       0         0         0         0       0       0        0        0       0      0    0       0
  0     0 1   0       0     1       1       0       0       0.1       0.1       0.1       0       0       0        0.1      1     .01   .001    .001
  0     0 1   0       0     1       1       0       0       0.1       0.1       0.1       0       0       0        0.1      1     .01   .001    .001
];

tl = SerialLink(twolink_dh);
tl.name = 'Simple two link';
qz = [0 0 0];
qr = [0 pi/4 pi/2];
